/**
 * Generic interface for querying external applications
 */
package leds;

/**
 * @author costing
 * @since Jan 31, 2009
 */
public interface KDEApp {
	/**
	 * Call a function on this application
	 * 
	 * @param module application module
	 * @param function function name
	 * @param args arguments
	 * @return output
	 */
	String execute(final String module, final String function, final String... args);
}
