/**
 * 
 */
package leds.modules;

import leds.Canvas;
import leds.Utils;

/**
 * Probably the simplest module, displays the system load, based on /proc/loadavg.
 * 
 * @author costing
 * @since Oct 20, 2008
 * @see Utils#getLoad()
 */
public class Load extends BaseModule {	
	/* (non-Javadoc)
	 * @see leds.Module#draw(leds.Canvas)
	 */
	@Override
	public boolean draw(final Canvas c) {
		if (this.height==0)
			this.height = c.getTextHeight() - 2;
	
		if (this.width==0)
			this.width = c.getTextWidth("Load"); //$NON-NLS-1$
		
		c.drawString("Load", this.x, this.y+this.height); //$NON-NLS-1$
		c.drawString(Utils.getLoad().get("Load1"), this.x, this.y+2*this.height+2); //$NON-NLS-1$
		
		return true;
	}
}
