#!/bin/bash

cd `dirname $0`

REPOSITORY=http://asusg50oled.sourceforge.net/

if ! wget -q $REPOSITORY/download/leds.jar -O leds.jar; then
    echo "Cannot download leds.jar. Exiting quicky"
    exit 1
fi

for file in CHANGELOG README; do
    wget -q $REPOSITORY/$file -O $file &>/dev/null
done

echo "Update complete. You should now restart the daemon."
