#!/bin/bash
# This script will pause the asusg50oled daemon case the notebook lid is
# closed

# Exit in case the daemon is not running
pgrep -f "jar leds.jar" &>/dev/null
if [ $? != 0 ]; then
	exit
fi

grep -q "closed" /proc/acpi/button/lid/*/state

if [ $? = 0 ]; then
	echo 0 > /sys/class/asus_oled/oled_1/enabled
	echo "pause" | nc -n -w 5 127.0.0.1 1196 2> /dev/null 1>&2
else
	echo 1 > /sys/class/asus_oled/oled_1/enabled
	echo "resume" | nc -n -w 5 127.0.0.1 1196
fi
