## If rc.local doesn't exist, create it
if [ ! -e etc/rc.d/rc.local ]; then
	echo "#!/bin/sh" > etc/rc.d/rc.local
	chmod 755 etc/rc.d/rc.local
fi

# if rc.asusg50oled is executable, run it on startup
run=`grep ". /etc/rc.d/rc.asusg50oled" etc/rc.d/rc.local`
if [[ "${run}" == "" ]]; then
cat << EOF >>etc/rc.d/rc.local

# To disable asusg50oled, chmod rc.asusg50oled to 644
if [ -x /etc/rc.d/rc.asusg50oled ]; then
  echo "Starting asusg50oled daemon:  /usr/share/asusg50oled/start.sh"
  /etc/rc.d/rc.asusg50oled start
fi
EOF
fi

killall -p -9 acpid
/usr/sbin/acpid