#!/bin/bash

export WHEREAMI=`cd $(dirname $0); pwd`

source "$WHEREAMI/functions"

user="$1"
sess="$2"
app="$3"
module="$4"
func="$5"

if [ -z "$1" -o -z "$2" -o -z "$3" -o -z "$4" -o -z "$5" ]; then
    echo "err"
    exit 1
fi

export DBUS_SESSION_BUS_ADDRESS=${sess}

if [ "$IAM" = "$user" ]; then
    "$QDBUS" "$app" "$module" "$func"
else
    su $user -c "$QDBUS $app $module $func"
fi
